//!CompilerOption:Optimize:On
using System;
using System.Windows.Media;
using Styx;
using Styx.Common;

namespace FeralDruidCatForm
{
    public class FeralDruidCatForm : Styx.Plugins.HBPlugin
    {
        public override string Name { get { return "Feral Druid Cat Form"; } }
        public override string Author { get { return "Any"; } }
        public override Version Version { get { return _version; } }
        private readonly Version _version = new Version(0, 1);

        public override void Pulse()
		{
            if (StyxWoW.Me.Combat && StyxWoW.Me.Class == WoWClass.Druid && !StyxWoW.Me.Mounted && !StyxWoW.Me.IsFlying && StyxWoW.Me.Shapeshift != ShapeshiftForm.FlightForm && StyxWoW.Me.Shapeshift != ShapeshiftForm.EpicFlightForm && StyxWoW.Me.Specialization == WoWSpec.DruidFeral && StyxWoW.Me.Shapeshift != ShapeshiftForm.Cat)
            {
                Logging.Write(Colors.Orange, String.Format("Silly Feral Druid should be in cat form!"));

                //cat form is spell 768
                Styx.CommonBot.SpellManager.CastSpellById(768);                
            }
		}
    }
}
